Bug 5337 - INTERNAL ERROR: Signal 11
INTERNAL ERROR: Signal 11
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.28
x64 FreeBSD
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 15:23 UTC by Botelho
Modified: 2009-01-25 14:03 UTC (History)
0 users

See Also:


Attachments
smbd log (72.23 KB, application/octet-stream)
2008-03-18 16:57 UTC, Botelho
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Botelho 2008-03-18 15:23:20 UTC
I´ve installed samba-3.0.28,1 with FreBSD 6.3-STABLE amd64 and i´m getting these errors..

[2008/03/18 11:02:41, 2] smbd/open.c:open_file(391)
  MANUT opened file Financeiro/Manutencao/AGENDA TELEFONICA.xls read=Yes write=Yes (numopen=1)
[2008/03/18 11:02:42, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2008/03/18 11:02:42, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 11 in pid 18572 (3.0.28)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2008/03/18 11:02:42, 0] lib/fault.c:fault_report(44)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2008/03/18 11:02:42, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2008/03/18 11:02:42, 0] lib/util.c:smb_panic(1627)
  smb_panic: clobber_region() last called from [check_cache(414)]
[2008/03/18 11:02:42, 0] lib/util.c:smb_panic(1633)
  PANIC (pid 18572): internal error

.. when a windows 98 + office 2000 machine tries to open a .xls or .doc files.

Also, some users get processes stucked when they´re trying to delete a file.
The log file shows me these similar errors..

[2008/03/18 14:03:42, 2] smbd/close.c:close_normal_file(406)
  daniele_felippe closed file Produto/Desenvolvimento/Speed Graph/Odontologia/CAPRES/Imagens para pesquisa/demonstra\x87\xc6o do produto.jpg (numopen=10) NT_STATUS_OK
[2008/03/18 14:11:45, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2008/03/18 14:11:45, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 11 in pid 22649 (3.0.28)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2008/03/18 14:11:45, 0] lib/fault.c:fault_report(44)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2008/03/18 14:11:45, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2008/03/18 14:11:45, 0] lib/util.c:smb_panic(1627)
  smb_panic: clobber_region() last called from [check_cache(414)]
[2008/03/18 14:11:45, 0] lib/util.c:smb_panic(1633)
  PANIC (pid 22649): internal error

All users have the same OS.. (Windows XP SP2).
Comment 1 Volker Lendecke 2008-03-18 15:46:20 UTC
Please upload a full debug level 10 log of smbd leading to this error, along with your smb.conf.
Comment 2 Botelho 2008-03-18 16:57:23 UTC
Created attachment 3191 [details]
smbd log
Comment 3 Volker Lendecke 2008-03-18 17:05:31 UTC
Sorry, but that smb.log is not usable, it only contains the parent's log entries. Very likely you have a "log file = <something>" in your smb.conf. What we need is the log file with the crash.

Volker
Comment 4 Botelho 2008-03-18 17:15:23 UTC
(In reply to comment #3)
> Sorry, but that smb.log is not usable, it only contains the parent's log
> entries. Very likely you have a "log file = <something>" in your smb.conf. What
> we need is the log file with the crash.
> Volker

I know.. sorry but i couldn´t upload all files.
You can see the files here..

http://www.spdg.com.br/ftp/leonardo/logs/

my smb.conf

[global]
        unix charset = CP850
        display charset = iso8859-1
        workgroup = SPEED
        netbios name = SERV_COREL
        server string = .: Servidor de Arquivos :.
        encrypt passwords = Yes
        log level = 10
        log file = /var/log/samba/%m.log
        time server = Yes
        logon script = logon.bat
        domain logons = Yes
        os level = 100
        preferred master = Yes
        domain master = Yes
        dns proxy = No
        wins support = Yes
        create mask = 0770
        directory mask = 0770
        socket options =

[netlogon]
        comment = Network Logon Service
        path = /home/script/
        read only = No
        browseable = No
        share modes = No

[SG]
        comment = Arquivos SG
        path = /home/sg/
        valid users = @sg
        write list = @sg

[CLIENTES]
        comment = Arquivos de Clientes
        path = /home/clientes/
        valid users = @sg
        write list = @sg
        create mask = 0775
        directory mask = 0775
Comment 5 Volker Lendecke 2008-03-18 17:42:56 UTC
Quoting the relevant snippet:

[2008/03/18 18:32:54, 10] lib/util_sock.c:read_smb_length_return_keepalive(623)
  got smb length of 186
[2008/03/18 18:32:54, 6] smbd/process.c:process_smb(1067)
  got message type 0x0 of len 0xba
[2008/03/18 18:32:54, 3] smbd/process.c:process_smb(1068)
  Transaction 19 of length 190
[2008/03/18 18:32:54, 5] lib/util.c:show_msg(484)
[2008/03/18 18:32:54, 5] lib/util.c:show_msg(494)
  size=186
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=1
  smb_pid=852
  smb_uid=101
  smb_mid=22720
  smt_wct=15
  smb_vwv[ 0]=  118 (0x76)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    2 (0x2)
  smb_vwv[ 3]=   40 (0x28)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=  118 (0x76)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    5 (0x5)
  smb_bcc=121
[2008/03/18 18:32:54, 10] lib/util.c:dump_data(2264)
  [000] 00 00 00 EC 03 00 00 00  00 5C 00 50 00 72 00 6F  ........ .\.P.r.o
  [010] 00 64 00 75 00 74 00 6F  00 5C 00 44 00 4B 00 4E  .d.u.t.o .\.D.K.N
  [020] 00 59 00 41 00 31 00 7E  00 4C 00 5C 00 53 00 31  .Y.A.1.~ .L.\.S.1
  [030] 00 4B 00 4A 00 33 00 31  00 7E 00 45 00 5C 00 4F  .K.J.3.1 .~.E.\.O
  [040] 00 36 00 4D 00 37 00 47  00 33 00 7E 00 47 00 5C  .6.M.7.G .3.~.G.\
  [050] 00 4D 00 46 00 44 00 2D  00 53 00 42 00 5C 00 4D  .M.F.D.- .S.B.\.M
  [060] 00 52 00 47 00 31 00 47  00 46 00 7E 00 48 00 2E  .R.G.1.G .F.~.H..
  [070] 00 43 00 44 00 52 00 00  00                       .C.D.R.. .
[2008/03/18 18:32:54, 3] smbd/process.c:switch_message(926)
  switch message SMBtrans2 (pid 30309) conn 0x80092c050
[2008/03/18 18:32:54, 4] smbd/uid.c:change_to_user(183)
  change_to_user: Skipping user change - already user
[2008/03/18 18:32:54, 3] smbd/trans2.c:call_trans2qfilepathinfo(3256)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2008/03/18 18:32:54, 5] smbd/filename.c:unix_convert(147)
  unix_convert called on file "Produto/DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR"
[2008/03/18 18:32:54, 10] smbd/statcache.c:stat_cache_lookup(215)
  stat_cache_lookup: lookup failed for name [PRODUTO/DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR]
[2008/03/18 18:32:54, 10] smbd/statcache.c:stat_cache_lookup(215)
  stat_cache_lookup: lookup failed for name [PRODUTO/DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB]
[2008/03/18 18:32:54, 10] smbd/statcache.c:stat_cache_lookup(215)
  stat_cache_lookup: lookup failed for name [PRODUTO/DKNYA1~L/S1KJ31~E/O6M7G3~G]
[2008/03/18 18:32:54, 10] smbd/statcache.c:stat_cache_lookup(215)
  stat_cache_lookup: lookup failed for name [PRODUTO/DKNYA1~L/S1KJ31~E]
[2008/03/18 18:32:54, 10] smbd/statcache.c:stat_cache_lookup(215)
  stat_cache_lookup: lookup failed for name [PRODUTO/DKNYA1~L]
[2008/03/18 18:32:54, 10] smbd/statcache.c:stat_cache_lookup(248)
  stat_cache_lookup: lookup succeeded for name [PRODUTO] -> [Produto]
[2008/03/18 18:32:54, 5] smbd/filename.c:unix_convert(246)
  unix_convert begin: name = Produto/DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR, dirpath = Produto, start = DKNYA
1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled(276)
  is_mangled DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR ?
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled_component(215)
  is_mangled_component DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR (len 8) ?
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled_component(253)
  is_mangled_component DKNYA1~L/S1KJ31~E/O6M7G3~G/MFD-SB/MRG1GF~H.CDR (len 8) -> yes
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled(276)
  is_mangled DKNYA1~L ?
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled_component(215)
  is_mangled_component DKNYA1~L (len 8) ?
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled_component(253)
  is_mangled_component DKNYA1~L (len 8) -> yes
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled(276)
  is_mangled DKNYA1~L ?
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled_component(215)
  is_mangled_component DKNYA1~L (len 8) ?
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:is_mangled_component(253)
  is_mangled_component DKNYA1~L (len 8) -> yes
[2008/03/18 18:32:54, 10] smbd/mangle_hash2.c:check_cache(413)
[2008/03/18 18:32:54, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2008/03/18 18:32:54, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 11 in pid 30309 (3.0.28)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2008/03/18 18:32:54, 0] lib/fault.c:fault_report(44)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2008/03/18 18:32:54, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2008/03/18 18:32:54, 0] lib/util.c:smb_panic(1627)
  smb_panic: clobber_region() last called from [unix_convert(368)]
[2008/03/18 18:32:54, 0] lib/util.c:smb_panic(1633)
  PANIC (pid 30309): internal error


So we seem to have a problem with mangled names, that QPATHINFO has quite a few of them. This is a DOS application running on that client? (not that it should matter, just curious)

Volker
Comment 6 Botelho 2008-03-18 18:00:43 UTC
No, it´s not a DOS application. It happens when that user tries to open or delete a file, like .CDR (Corel Draw) files.

I had FreeBSD 5.1-RELEASE i386 + samba-2.2.8a running with similiar smb.conf, and it never happened.



Comment 7 Botelho 2008-03-25 12:01:13 UTC
Could anyone help me with this issue?

i'll appreciate any help.

Thanks
Comment 8 Botelho 2008-04-09 15:43:20 UTC
It has fixed when i installed FreeBSD 6.3-STABLE i386 instead of amd64 version.
Now i have FreeBSD 6.3-STABLE + samba-3.0.28,1 working fine.

So, There is a problem with samba-3.0.28,1 + FreeBSD 6.3-STABLE amd64 version.


Leonardo
Comment 9 Volker Lendecke 2009-01-25 14:03:40 UTC
Closing, according to timur this is fixed as of 6.4-release and 7.1 release